apply plugin: 'com.android.library'

android {
    buildToolsVersion = "29.0.3"
    compileSdkVersion = 29

    defaultConfig {
        minSdkVersion 14
    }

    //这里就是打jar包
    task makeJar(type: Copy) {
        //删除旧的jar包
        delete 'build/libs/sobot_net_1.2.2.jar'
        //原地址
        from('build/intermediates/packaged-classes/release/')
        //导出jar包的地址
        into('build/libs/')
        //包含的jar包
        include('classes.jar')
        //重命名jar包为mysdk
        rename ('classes.jar', 'sobot_net_1.2.2.jar')
    }
    makeJar.dependsOn(build)
}



dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    compileOnly 'com.squareup.okhttp3:okhttp:3.12.0'
}

//添加发布到mavenCentral脚本
apply from: './sobot-network-publish-mavencentral.gradle'